diff --git a/web/pgadmin/tools/import_export/static/js/import_export.js b/web/pgadmin/tools/import_export/static/js/import_export.js
index 87973e42..070ba6c3 100644
--- a/web/pgadmin/tools/import_export/static/js/import_export.js
+++ b/web/pgadmin/tools/import_export/static/js/import_export.js
@@ -1,7 +1,7 @@
 define([
   'sources/gettext', 'sources/url_for', 'jquery', 'underscore', 'underscore.string', 'pgadmin.alertifyjs',
   'sources/pgadmin', 'pgadmin.browser', 'backbone', 'backgrid', 'backform',
-  'pgadmin.backform', 'pgadmin.backgrid', 'pgadmin.browser.node.ui'
+  'pgadmin.backform', 'pgadmin.backgrid', 'pgadmin.browser.node.ui',
 ], function(
   gettext, url_for, $, _, S, Alertify, pgAdmin, pgBrowser, Backbone, Backgrid, Backform
 ) {
@@ -17,7 +17,8 @@ define([
   // Main model for Import/Export functionality
   var ImportExportModel = Backbone.Model.extend({
     defaults: {
-      is_import: false, /* false for Export */
+      is_import: false,
+      /* false for Export */
       filename: undefined,
       format: 'csv',
       encoding: undefined,
@@ -31,227 +32,338 @@ define([
       icolumns: [],
       database: undefined,
       schema: undefined,
-      table: undefined
+      table: undefined,
     },
     schema: [{
-      id: 'is_import', label: gettext('Import/Export'), cell: 'switch',
-      type: 'switch', group: gettext('Options'),
+      id: 'is_import',
+      label: gettext('Import/Export'),
+      cell: 'switch',
+      type: 'switch',
+      group: gettext('Options'),
       options: {
-         'onText': gettext('Import'), 'offText': gettext('Export'),
-         'onColor': 'success', 'offColor': 'primary'
-      }
+        'onText': gettext('Import'),
+        'offText': gettext('Export'),
+        'onColor': 'success',
+        'offColor': 'primary',
+      },
     }, {
-      type: 'nested', control: 'fieldset', label: gettext('File Info'),
+      type: 'nested',
+      control: 'fieldset',
+      label: gettext('File Info'),
       group: gettext('Options'),
-      schema:[{ /* select file control for import */
-      id: 'filename', label: gettext('Filename'), deps: ['is_import'],
-      type: 'text', control: Backform.FileControl, group: gettext('File Info'),
-      dialog_type: 'select_file', supp_types: ['csv', 'txt', '*'],
-      visible: 'importing'
-    }, { /* create file control for export */
-        id: 'filename', label: gettext('Filename'), deps: ['is_import'],
-        type: 'text', control: Backform.FileControl, group: gettext('File Info'),
-        dialog_type: 'create_file', supp_types: ['csv', 'txt', '*'],
-        visible: 'exporting'
+      schema: [{ /* select file control for import */
+        id: 'filename',
+        label: gettext('Filename'),
+        deps: ['is_import'],
+        type: 'text',
+        control: Backform.FileControl,
+        group: gettext('File Info'),
+        dialog_type: 'select_file',
+        supp_types: ['csv', 'txt', '*'],
+        visible: 'importing',
+      }, { /* create file control for export */
+        id: 'filename',
+        label: gettext('Filename'),
+        deps: ['is_import'],
+        type: 'text',
+        control: Backform.FileControl,
+        group: gettext('File Info'),
+        dialog_type: 'create_file',
+        supp_types: ['csv', 'txt', '*'],
+        visible: 'exporting',
       }, {
-        id: 'format', label: gettext('Format'), cell: 'string',
-        control: 'select2', group: gettext('File Info'),
-        options:[
-            {'label': 'binary', 'value': 'binary'}, {'label': 'csv', 'value': 'csv'}, {'label': 'text', 'value': 'text'},
-          ],
-        disabled: 'isDisabled', select2: {allowClear: false, width: "100%" },
+        id: 'format',
+        label: gettext('Format'),
+        cell: 'string',
+        control: 'select2',
+        group: gettext('File Info'),
+        options: [{
+          'label': 'binary',
+          'value': 'binary',
+        }, {
+          'label': 'csv',
+          'value': 'csv',
+        }, {
+          'label': 'text',
+          'value': 'text',
+        } ],
+        disabled: 'isDisabled',
+        select2: {
+          allowClear: false,
+          width: '100%',
+        },
       }, {
-        id: 'encoding', label: gettext('Encoding'), cell: 'string',
-        control: 'node-ajax-options', node: 'database', url: 'get_encodings', first_empty: true,
-        group: gettext('File Info')
-      }]
-    },{
-        id: 'columns', label: gettext('Columns to import'), cell: 'string',
-        deps: ['is_import'], type: 'array', first_empty: false,
-        control: Backform.NodeListByNameControl.extend({
-          // By default, all the import columns should be selected
-          initialize: function() {
-            Backform.NodeListByNameControl.prototype.initialize.apply(this, arguments);
-            var self = this,
-                options = self.field.get('options'),
-                op_vals = [];
-
-            if (_.isFunction(options)) {
-              try {
-                var all_cols = options.apply(self);
-                for(var idx in all_cols) {
-                  op_vals.push((all_cols[idx])['value']);
-                }
-              } catch(e) {
-                // Do nothing
-                options = [];
-              }
-            } else {
-              for (idx in options) {
-                op_vals.push((options[idx])['value']);
+        id: 'encoding',
+        label: gettext('Encoding'),
+        cell: 'string',
+        control: 'node-ajax-options',
+        node: 'database',
+        url: 'get_encodings',
+        first_empty: true,
+        group: gettext('File Info'),
+      }],
+    }, {
+      id: 'columns',
+      label: gettext('Columns to import'),
+      cell: 'string',
+      deps: ['is_import'],
+      type: 'array',
+      first_empty: false,
+      control: Backform.NodeListByNameControl.extend({
+        // By default, all the import columns should be selected
+        initialize: function() {
+          Backform.NodeListByNameControl.prototype.initialize.apply(this, arguments);
+          var self = this,
+            options = self.field.get('options'),
+            op_vals = [];
+
+          if (_.isFunction(options)) {
+            try {
+              var all_cols = options.apply(self);
+              for (var idx in all_cols) {
+                op_vals.push((all_cols[idx])['value']);
               }
+            } catch (e) {
+              // Do nothing
+              options = [];
+              console.warn(e.stack || e);
+            }
+          } else {
+            for (idx in options) {
+              op_vals.push((options[idx])['value']);
             }
-
-            self.model.set('columns',op_vals);
           }
-        }),
-        transform: function(rows) {
-          var self = this,
-              node = self.field.get('schema_node'),
-              res = [];
-
-          _.each(rows, function(r) {
-              var l = (_.isFunction(node['node_label']) ?
-                    (node['node_label']).apply(node, [r, self.model, self]) :
-                    r.label),
-                  image = (_.isFunction(node['node_image']) ?
-                    (node['node_image']).apply(
-                      node, [r, self.model, self]
-                      ) :
-                    (node['node_image'] || ('icon-' + node.type)));
-              res.push({
-                'value': r.label,
-                'image': image,
-                'label': l
-              });
-          });
 
-          return res;
+          self.model.set('columns', op_vals);
         },
-        node: 'column', url: 'nodes', group: gettext('Columns'),
-        select2: {
-          multiple: true, allowClear: false,
-          placeholder: gettext('Columns for importing...'),
-          first_empty: false
-        }, visible: 'importing',
-        helpMessage:
-        gettext('An optional list of columns to be copied. If no column list is specified, all columns of the table will be copied.')
-      }, {
-        id: 'columns', label: gettext('Columns to export'), cell: 'string',
-        deps: ['is_import'], type: 'array',
-        control: 'node-list-by-name', first_empty: false,
-        node: 'column', url: 'nodes', group: gettext('Columns'),
-        select2: {
-          multiple: true, allowClear: true,
-          placeholder: gettext('Colums for exporting...')
-        }, visible: 'exporting',
-        transform: function(rows) {
-          var self = this,
-              node = self.field.get('schema_node'),
-              res = [];
-
-          _.each(rows, function(r) {
-              var l = (_.isFunction(node['node_label']) ?
-                    (node['node_label']).apply(node, [r, self.model, self]) :
-                    r.label),
-                  image = (_.isFunction(node['node_image']) ?
-                    (node['node_image']).apply(
-                      node, [r, self.model, self]
-                      ) :
-                    (node['node_image'] || ('icon-' + node.type)));
-              res.push({
-                'value': r.label,
-                'image': image,
-                'label': l
-              });
+      }),
+      transform: function(rows) {
+        var self = this,
+          node = self.field.get('schema_node'),
+          res = [];
+
+        _.each(rows, function(r) {
+          var l = (_.isFunction(node['node_label']) ?
+              (node['node_label']).apply(node, [r, self.model, self]) :
+              r.label),
+            image = (_.isFunction(node['node_image']) ?
+              (node['node_image']).apply(
+                node, [r, self.model, self]
+              ) :
+              (node['node_image'] || ('icon-' + node.type)));
+          res.push({
+            'value': r.label,
+            'image': image,
+            'label': l,
           });
+        });
 
-          return res;
-        },
-        helpMessage:
-          gettext('An optional list of columns to be copied. If no column list is specified, all columns of the table will be copied.')
+        return res;
+      },
+      node: 'column',
+      url: 'nodes',
+      group: gettext('Columns'),
+      select2: {
+        multiple: true,
+        allowClear: false,
+        placeholder: gettext('Columns for importing...'),
+        first_empty: false,
+      },
+      visible: 'importing',
+      helpMessage: gettext('An optional list of columns to be copied. If no column list is specified, all columns of the table will be copied.'),
+    }, {
+      id: 'columns',
+      label: gettext('Columns to export'),
+      cell: 'string',
+      deps: ['is_import'],
+      type: 'array',
+      control: 'node-list-by-name',
+      first_empty: false,
+      node: 'column',
+      url: 'nodes',
+      group: gettext('Columns'),
+      select2: {
+        multiple: true,
+        allowClear: true,
+        placeholder: gettext('Colums for exporting...'),
+      },
+      visible: 'exporting',
+      transform: function(rows) {
+        var self = this,
+          node = self.field.get('schema_node'),
+          res = [];
+
+        _.each(rows, function(r) {
+          var l = (_.isFunction(node['node_label']) ?
+              (node['node_label']).apply(node, [r, self.model, self]) :
+              r.label),
+            image = (_.isFunction(node['node_image']) ?
+              (node['node_image']).apply(
+                node, [r, self.model, self]
+              ) :
+              (node['node_image'] || ('icon-' + node.type)));
+          res.push({
+            'value': r.label,
+            'image': image,
+            'label': l,
+          });
+        });
+
+        return res;
+      },
+      helpMessage: gettext('An optional list of columns to be copied. If no column list is specified, all columns of the table will be copied.'),
+    }, {
+      id: 'null_string',
+      label: gettext('NULL Strings'),
+      cell: 'string',
+      type: 'text',
+      group: gettext('Columns'),
+      disabled: 'isDisabled',
+      deps: ['format'],
+      helpMessage: gettext('Specifies the string that represents a null value. The default is \\N (backslash-N) in text format, and an unquoted empty string in CSV format. You might prefer an empty string even in text format for cases where you don\'t want to distinguish nulls from empty strings. This option is not allowed when using binary format.'),
+    }, {
+      id: 'icolumns',
+      label: gettext('Not null columns'),
+      cell: 'string',
+      control: 'node-list-by-name',
+      node: 'column',
+      group: gettext('Columns'),
+      deps: ['format', 'is_import'],
+      disabled: 'isDisabled',
+      type: 'array',
+      first_empty: false,
+      select2: {
+        multiple: true,
+        allowClear: true,
+        first_empty: true,
+        placeholder: gettext('Not null columns...'),
+      },
+      helpMessage: gettext('Do not match the specified column values against the null string. In the default case where the null string is empty, this means that empty values will be read as zero-length strings rather than nulls, even when they are not quoted. This option is allowed only in import, and only when using CSV format.'),
+    }, {
+      type: 'nested',
+      control: 'fieldset',
+      label: gettext('Miscellaneous'),
+      group: gettext('Options'),
+      schema: [{
+        id: 'oid',
+        label: gettext('OID'),
+        cell: 'string',
+        type: 'switch',
+        group: gettext('Miscellaneous'),
       }, {
-        id: 'null_string', label: gettext('NULL Strings'), cell: 'string',
-        type: 'text', group: gettext('Columns'), disabled: 'isDisabled',
+        id: 'header',
+        label: gettext('Header'),
+        cell: 'string',
+        type: 'switch',
+        group: gettext('Miscellaneous'),
         deps: ['format'],
-        helpMessage:
-          gettext("Specifies the string that represents a null value. The default is \\N (backslash-N) in text format, and an unquoted empty string in CSV format. You might prefer an empty string even in text format for cases where you don't want to distinguish nulls from empty strings. This option is not allowed when using binary format.")
+        disabled: 'isDisabled',
       }, {
-        id: 'icolumns', label: gettext('Not null columns'), cell: 'string',
-        control: 'node-list-by-name', node: 'column',
-        group: gettext('Columns'), deps: ['format', 'is_import'], disabled: 'isDisabled',
-        type: 'array', first_empty: false,
+        id: 'delimiter',
+        label: gettext('Delimiter'),
+        cell: 'string',
+        first_empty: true,
+        type: 'text',
+        control: 'node-ajax-options',
+        group: gettext('Miscellaneous'),
+        disabled: 'isDisabled',
+        deps: ['format'],
+        options: [{
+          'label': ';',
+          'value': ';',
+        },
+        {
+          'label': ',',
+          'value': ',',
+        },
+        {
+          'label': '|',
+          'value': '|',
+        },
+        {
+          'label': '[tab]',
+          'value': '[tab]',
+        },
+        ],
         select2: {
-          multiple: true, allowClear: true, first_empty: true,
-          placeholder: gettext('Not null columns...')
+          tags: true,
+          allowClear: false,
+          width: '100%',
+          placeholder: gettext('Select from list...'),
         },
-        helpMessage:
-          gettext('Do not match the specified column values against the null string. In the default case where the null string is empty, this means that empty values will be read as zero-length strings rather than nulls, even when they are not quoted. This option is allowed only in import, and only when using CSV format.')
-      }, {
-        type: 'nested', control: 'fieldset', label: gettext('Miscellaneous'),
-        group: gettext('Options'),
-        schema:[{
-          id: 'oid', label: gettext('OID'), cell: 'string',
-          type: 'switch', group: gettext('Miscellaneous')
-        },{
-          id: 'header', label: gettext('Header'), cell: 'string',
-          type: 'switch', group: gettext('Miscellaneous'), deps: ['format'], disabled: 'isDisabled'
-        },{
-          id: 'delimiter', label: gettext('Delimiter'), cell: 'string', first_empty: true,
-          type: 'text', control: 'node-ajax-options', group: gettext('Miscellaneous'), disabled: 'isDisabled',
-          deps: ['format'],
-          options:[
-            {'label': ';', 'value': ';'},
-            {'label': ',', 'value': ','},
-            {'label': '|', 'value': '|'},
-            {'label': '[tab]', 'value': '[tab]'}
-          ],
-          select2: {
-            tags: true,
-            allowClear: false,
-            width: "100%",
-            placeholder: gettext('Select from list...')
-          }, helpMessage:
-            gettext('Specifies the character that separates columns within each row (line) of the file. The default is a tab character in text format, a comma in CSV format. This must be a single one-byte character. This option is not allowed when using binary format.')
+        helpMessage: gettext('Specifies the character that separates columns within each row (line) of the file. The default is a tab character in text format, a comma in CSV format. This must be a single one-byte character. This option is not allowed when using binary format.'),
+      },
+      {
+        id: 'quote',
+        label: gettext('Quote'),
+        cell: 'string',
+        first_empty: true,
+        deps: ['format'],
+        type: 'text',
+        control: 'node-ajax-options',
+        group: gettext('Miscellaneous'),
+        disabled: 'isDisabled',
+        options: [{
+          'label': '\"',
+          'value': '\"',
         },
         {
-          id: 'quote', label: gettext('Quote'), cell: 'string', first_empty: true, deps: ['format'],
-          type: 'text', control: 'node-ajax-options', group: gettext('Miscellaneous'), disabled: 'isDisabled',
-          options:[
-            {'label': '\"', 'value': '\"'},
-            {'label': '\'', 'value': '\''},
-          ],
-          select2: {
-            tags: true,
-            allowClear: false,
-            width: "100%",
-            placeholder: gettext('Select from list...')
-          }, helpMessage:
-            gettext('Specifies the quoting character to be used when a data value is quoted. The default is double-quote. This must be a single one-byte character. This option is allowed only when using CSV format.')
+          'label': '\'',
+          'value': '\'',
+        },
+        ],
+        select2: {
+          tags: true,
+          allowClear: false,
+          width: '100%',
+          placeholder: gettext('Select from list...'),
+        },
+        helpMessage: gettext('Specifies the quoting character to be used when a data value is quoted. The default is double-quote. This must be a single one-byte character. This option is allowed only when using CSV format.'),
+      },
+      {
+        id: 'escape',
+        label: gettext('Escape'),
+        cell: 'string',
+        first_empty: true,
+        deps: ['format'],
+        type: 'text',
+        control: 'node-ajax-options',
+        group: gettext('Miscellaneous'),
+        disabled: 'isDisabled',
+        options: [{
+          'label': '\"',
+          'value': '\"',
         },
         {
-          id: 'escape', label: gettext('Escape'), cell: 'string', first_empty: true, deps: ['format'],
-          type: 'text', control: 'node-ajax-options', group: gettext('Miscellaneous'), disabled: 'isDisabled',
-          options:[
-            {'label': '\"', 'value': '\"'},
-            {'label': '\'', 'value': '\''},
-          ],
-          select2: {
-            tags: true,
-            allowClear: false,
-            width: "100%",
-            placeholder: gettext('Select from list...')
-          }, helpMessage:
-            gettext('Specifies the character that should appear before a data character that matches the QUOTE value. The default is the same as the QUOTE value (so that the quoting character is doubled if it appears in the data). This must be a single one-byte character. This option is allowed only when using CSV format.')
-        }]
-      }
-    ],
+          'label': '\'',
+          'value': '\'',
+        },
+        ],
+        select2: {
+          tags: true,
+          allowClear: false,
+          width: '100%',
+          placeholder: gettext('Select from list...'),
+        },
+        helpMessage: gettext('Specifies the character that should appear before a data character that matches the QUOTE value. The default is the same as the QUOTE value (so that the quoting character is doubled if it appears in the data). This must be a single one-byte character. This option is allowed only when using CSV format.'),
+      },
+      ],
+    } ],
 
     // Enable/Disable the items based on the user file format selection
     isDisabled: function(m) {
-      name = this.name;
-      switch(name) {
-        case 'quote':
-        case 'escape':
-        case 'header':
-          return (m.get('format') != 'csv')
-        case 'icolumns':
-          return (m.get('format') != 'csv' || !m.get('is_import'));
-        case 'null_string':
-        case 'delimiter':
-          return (m.get('format') == 'binary');
-        default:
-          return false;
+      switch (this.name) {
+      case 'quote':
+      case 'escape':
+      case 'header':
+        return (m.get('format') != 'csv');
+      case 'icolumns':
+        return (m.get('format') != 'csv' || !m.get('is_import'));
+      case 'null_string':
+      case 'delimiter':
+        return (m.get('format') == 'binary');
+      default:
+        return false;
       }
     },
     importing: function(m) {
